/*
 * $XConsortium: Clock.h,v 1.7 90/12/01 13:04:08 rws Exp $
 */

#ifndef _XtXgate_h
#define _XtXgate_h

/***********************************************************************
 *
 * support for xgate specific stuff
 *
 ***********************************************************************/

#undef TRANSPARENT

#define ENTER_SUPPORT		/* support for ENTER NOTIFY callbacks */
#undef LEAVE_SUPPORT		/* support for LEAVE NOTIFY callbacks */

#define XCB_SUPPORT		/* support for X Cut Buffers */

#define DEFAULT_TARGET	"ilsa"

/** this is BOGUS!!! */
#define CENTER		"ilsa"
#define LEFT		"clem"
#define RIGHT		"rick"

#if defined( XCB_SUPPORT )

#define XCB_CENTER \
 "/usr/X11R6/bin/xcb -p 0 | /usr/X11R6/bin/xcb -display %s:0 -s 1"

#define XCB_LEFT \
 "/usr/X11R6/bin/xcb -display %s -p 0 | /usr/X11R6/bin/xcb -display :0 -s 1"

#define XCB_RIGHT \
 "/usr/X11R6/bin/xcb -display %s -p 0 | /usr/X11R6/bin/xcb -display :0 -s 2"

#endif /* XCB_SUPPORT */



/***********************************************************************
 *
 * Xgate Widget
 *
 ***********************************************************************/

/* Parameters:

 Name		     Class		RepType		Default Value
 ----		     -----		-------		-------------
 background	     Background		pixel		White
 border		     BorderColor	pixel		Black
 borderWidth	     BorderWidth	int		1
 height		     Height		int		120
 mappedWhenManaged   MappedWhenManaged	Boolean		True
 target              ???                String          clem
 width		     Width		int		120
 x		     Position		int		0
 y		     Position		int		0

*/


#define XtNshapeWindow	"shapeWindow"
#define XtCShapeWindow	"ShapeWindow"
#define XtNtransparent	"transparent"
#define XtCTransparent	"Transparent"

#define XtNtarget	"target"
#define XtCTarget	"Target"

#define XtNborderSize	"borderSize"
#define XtCBorderSize	"BorderSize"

typedef struct _XgateRec *XgateWidget;			/* completely defined in XgateP.h */
typedef struct _XgateClassRec *XgateWidgetClass;	/* completely defined in XgateP.h */

extern WidgetClass xgateWidgetClass;

#endif /* _XtXgate_h */
/* DON'T ADD STUFF AFTER THIS #endif */
