/*
 * $XConsortium: ClockP.h,v 1.8 90/12/01 13:03:54 rws Exp $
 */

#ifndef _XgateP_h
#define _XgateP_h

#include "Gate.h"
#include <X11/CoreP.h>
#include "transform.h"

#define POLY_SIZE	6

/* New fields for the Xgate widget instance record */
typedef struct {
	Pixel		minute;
	GC		minuteGC;
	GC		eraseGC;
	GC		shapeGC;	/* pointer to GraphicsContext */
/* start of graph stuff */
	int		backing_store;	/* backing store variety */
	Boolean		shape_window;	/* use SetWindowShapeMask */
	Boolean		transparent;	/* make window transparent */
	float		border_size;
	Transform	t;
	Transform	maskt;
	Pixmap		shape_mask;	/* window shape */
	int		shape_width;	/* window width when shape last made */
	int		shape_height;	/* window height when shape last made */
	char*		target;		/* focus target */
} XgatePart;

/* Full instance record declaration */
typedef struct _XgateRec {
	CorePart core;
	XgatePart xgate;
} XgateRec;

/* New fields for the Xgate widget class record */
typedef struct {int dummy;} XgateClassPart;

/* Full class record declaration. */
typedef struct _XgateClassRec {
	CoreClassPart core_class;
	XgateClassPart xgate_class;
} XgateClassRec;

/* Class pointer. */
extern XgateClassRec xgateClassRec;

#endif /* _XgateP_h */
